\chapter{Rings}
\section{Basic Notions}
\begin{defn}
  Let $R$ be a ring. A subset $I\sse R$ is an \toidx{ideal} of $R$ if
  \begin{enumerate}
    \item $I$ is an additive subgroup of $(R,+)$.
    \item For all $r,s\in R$ and $x\in I$, $rxs\in I$ holds.
  \end{enumerate}
\end{defn}
\begin{lem}
  Let $0\neq R$ be a commutive ring.
  \begin{enumerate}
    \item $R$ is a field if and only if $\unts{R} = R\setminus \{0\}$.
    \item For $a,b,c\in R$ we have
    \begin{enumerate}[label = \alph*)]
      \item $(a)\sse (b)\iff b\divd a$.
      \item $(a)=R \iff a\in\unts{R}\iff (a)=(1)$.
      \item If $ac=bc$ and $c$ is not a zero-divisor, then $a=b$.
      \item If $a$ is a zero-divisor, then $a\notin \unts{R}$.
    \end{enumerate}
  \end{enumerate}
\end{lem}
\lec
